2 Replies Latest reply on Nov 12, 2009 5:56 PM by osde8info

    Howto upgrade OEL to apache httpd 2.2.8 & PHP 5.2.9

    osde8info
      Howto upgrade OEL to apache httpd 2.2.8 & PHP 5.2.9

      Add CentOS testing repo to yum.repos.d dir
      [c5-testing]
      name=CentOS-5 Testing 
      #mirrorlist=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=testing
      baseurl=http://dev.centos.org/centos/$releasever/testing/$basearch/
      gpgcheck=1
      gpgkey=http://dev.centos.org/centos/RPM-GPG-KEY-CentOS-testing
      enabled=1
      priority=1
      includepkgs=http*,mod*,php*
      To prevent getting the error
      Missing Dependency: /etc/enterprise-release is needed by package initscripts-8.45.30-2.0.1.el5.i386 (installed)
      you may need to edit yum.conf and add
      exclude=kernel* up2date* initscripts* centos-release*
      Run yum
      # yum clean all
      # yum update php
      But is there a better way to do this ?